Finish the fact-find request Run in API Explorer
Ask AI
Will mark the fact-find request as completed overall regardless of fact-find pass progress.
POST
/api/v1/fact-find/request/{factFindRequest_uuid}/finish
curl \
--request POST 'https://api.plannrcrm.com/api/v1/fact-find/request/6ff8f7f6-1eb3-3525-be4a-3932c805afed/finish' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
"uuid": "38155159-8cbd-4484-88a1-41c2aa9b5af0",
"created_at": "2026-05-08T14:41:55+01:00",
"updated_at": "2026-05-08T14:41:55+01:00",
"status": "complete",
"completed_at": "2026-05-03T14:41:55+01:00",
"invitation_text": "Please complete this fact find!",
"schema": {
"uuid": "2210fc30-0e4e-42d4-b1ef-eb5a5eac0d07",
"created_at": "2026-05-08T14:41:55+01:00",
"updated_at": "2026-05-08T14:41:55+01:00",
"archived_at": "2026-05-07T14:41:55+01:00",
"is_archived": false,
"name": "Default fact find",
"introduction_html": "Welcome to our fact find! <b>You can use some HTML too.</b>",
"sections_count": 5,
"public_url": "https://api.plannrcrm.com/fact-find/bab8a17e-0a67-4d40-be70-be6ef6641d5e"
},
"latest_file": {
"uuid": "db809aea-5cd4-49c8-af55-fafe1f5efd29",
"created_at": "2026-05-08T14:41:55+01:00",
"original_created_at": "2026-05-08T14:41:55+01:00",
"updated_at": "2026-05-08T14:41:55+01:00",
"uploaded_at": "2026-05-08T14:41:55+01:00",
"status": "uploaded",
"filename": "Welcome to Plannr.pdf",
"name": "Welcome to Plannr",
"extension": "pdf",
"type": "type",
"size": "21691783",
"path": "Gareth Thompson/Subfolder/Welcome to Plannr.pdf",
"last_modified": "2026-05-08T14:41:55+01:00",
"progress": "100",
"download_url": "https://api.plannrcrm.com/file/a86ef461-b1bf-482c-a253-307fa2d5f012/download",
"folder_name": "folder 2",
"folder": "App\\Http\\Resources\\FolderResource",
"documentable_type": "account",
"documentable": "Object",
"navigator": {
"model_type": "account",
"model_uuid": "42cda05c-907f-4b7e-b3c2-9f07f9792e8c"
},
"firm": "App\\Http\\Resources\\FirmResource",
"account": "App\\Http\\Resources\\MinimalAccountResource",
"tags": "App\\Http\\Resources\\TagResource"
},
"account": {
"uuid": "735443ec-9f8b-4df9-a0ca-46cab4609ae2",
"created_at": "2026-05-08T14:41:55+01:00",
"updated_at": "2026-05-08T14:41:55+01:00",
"type": "client",
"role": "client",
"first_name": "Gareth",
"last_name": "Thompson",
"name": "Gareth Thompson",
"email": "gareth@codepotato.co.uk",
"photo_url": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
"external_references": "App\\Http\\Resources\\ExternalReferenceResource"
},
"invitation_url": "https://api.plannrcrm.com/fact-find/069a4009-dc7a-42ad-afb6-304334e2d621/1d673ea3-e4b3-414d-a1c3-ec6cedf6b6e6",
"fact_find_passes": {
"uuid": "a2e0cf93-11d1-47f8-aad4-bd6dc6bc5957",
"created_at": "2026-05-08T14:41:55+01:00",
"updated_at": "2026-05-08T14:41:55+01:00",
"firm": {
"uuid": "9a9d1802-198e-487d-8236-005e2cd26a8f",
"name": "Codepotato Ltd"
},
"account": "App\\Http\\Resources\\MinimalAccountResource",
"circle": {
"uuid": "4bed4ec9-c212-4573-9338-62cc8c124b06",
"name": "The Codepotato Gang"
},
"expires_at": "2026-05-08T14:41:55+01:00",
"progress": 50,
"is_complete": false,
"completed_sections": 2
}
}